Bug 240309 - www/foswiki: remove redundant escape
Summary: www/foswiki: remove redundant escape
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2019-09-03 17:18 UTC by Kyle Evans
Modified: 2020-02-20 19:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments
svn(1) diff against the ports tree (505 bytes, patch)
2019-09-03 17:18 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2019-09-03 17:18:52 UTC
Created attachment 207153 [details]
svn(1) diff against the ports tree

= does not need to be escaped in this context; bug #229925 aims to make escape of most ordinary characters an error to reduce friction when some of these ordinary characters are later granted special GNU-extended behavior.

No functional change, no need to bump PORTREVISION.
Comment 1 Kyle Evans freebsd_committer 2019-09-06 18:22:54 UTC
Take, since maintainer is not a committer (as per https://wiki.freebsd.org/KubilayKocak/ThePerfectPortsIssue)
Comment 2 commit-hook freebsd_committer 2020-02-20 18:52:47 UTC
A commit references this bug:

Author: kevans
Date: Thu Feb 20 18:52:19 UTC 2020
New revision: 526577
URL: https://svnweb.freebsd.org/changeset/ports/526577

Log:
  www/foswiki: remove redundant escape

  = does not need to be escaped in this context; bug #229925 will make this
  escape as well as the escape of most ordinary characters an error to reduce
  friction when some of these ordinary characters are later granted special
  GNU-extended behavior.

  No functional change, no need to bump PORTREVISION.

  PR:		240309
  Approved by:	koobs (mentor), bapt (mentor)
  Approved by:	portmgr (maintainer timeout: 4 months)
  Differential Revision:	https://reviews.freebsd.org/D23698

Changes:
  head/www/foswiki/Makefile
Comment 3 commit-hook freebsd_committer 2020-02-20 19:06:53 UTC
A commit references this bug:

Author: kevans
Date: Thu Feb 20 19:06:40 UTC 2020
New revision: 526583
URL: https://svnweb.freebsd.org/changeset/ports/526583

Log:
  MFH: r526577

  www/foswiki: remove redundant escape

  = does not need to be escaped in this context; bug #229925 will make this
  escape as well as the escape of most ordinary characters an error to reduce
  friction when some of these ordinary characters are later granted special
  GNU-extended behavior.

  No functional change, no need to bump PORTREVISION.

  PR:		240309
  Approved by:	koobs (mentor), bapt (mentor)
  Approved by:	portmgr (maintainer timeout: 4 months)
  Differential Revision:	https://reviews.freebsd.org/D23698

  Approved by:	ports-secteam (implicit, future build fix)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/foswiki/Makefile